For the complete documentation index, see llms.txt. This page is also available as Markdown.

Post

Create a new section

Parameters:

Name

Optional / Required

Data type

Description

Default

id

required

String

One of your collection ids

name

required

String

A name for your new section

description

optional

String

A description for your new section

sorting

optional

String

Sort documents in section manually or automatically (by create_date_desc, create_date_asc, title_desc, title_asc)

manually

Demo

URL Find your token on - yumpu.com Token

id name

Optional parameters:

description sorting

Add optional parametersRun request

Example:

curl -X POST -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" -d "id=iMWWKoMS76pjqMoO" -d "name=Sports" "https://api.yumpu.com/2.0/collection/section.json"

Example:

require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
    'id'=>'iMWWKoMS76pjqMoO',
    'name' => 'Sports',
  'description' => 'Sports'
);
$newSection = $yumpu->postSection($data);
print_r($newSection);

Example:

var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  id: 'iMWWKoMS76pjqMoO',
  name: 'Sports',
  description: 'Sports'
};
yumpu.postSection(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});

Example:

Whatever language you are using, the result will be the same.

Last updated